# About

This part of the documentation is for end users, and can
be treated like a Wiki for Tachi information.

As such, nothing here will require programming knowledge,
but it might help.

*****

## What is Tachi?

Tachi refers to the code that powers both Kamaitachi and
Bokutachi.

### What's Bokutachi?

Bokutachi is an instance of Tachi designed for Home simulators, such as BMS or USC.

### What's Kamaitachi?

Kamaitachi is an instance of Tachi designed for Arcade
games, such as beatmania IIDX or Sound Voltex.

### Why are they separate?

Kamaitachi is a private score tracker, and Bokutachi is not.

## What is the point of Tachi?

Tachi is a score tracker and analyser for various rhythm
games. It was designed out of a dislike for existing websites
that display your scores. I think that scores are integral
to the rhythm game experience, and that displaying them
properly is *just* as important.

The benefits of Tachi include features like [Sessions](./features.md#sessions), which break your scores up into
groups of when they were played, and [Goals](./features.md#goals) which let you set automatically updating targets for yourself!

There are way more features that Tachi has, and you can
read about all of them [here](./features.md).

## Do I have to be good to use Tachi?

There's a prevailing notion that analysing scores in depth
is only for 'pro' players (or likewise).

In reality, it doesn't matter how good you are (or aren't),
being able to see your progress and analyse your scores
in more detail will help you pick out strengths and weaknesses in your skills as a player.

You do not need to be a 'pro' at all to benefit from
Tachi's analytics!

## Are there rules?

Yes.

You should familiarise yourself with the rules before
using any distribution of Tachi.

The rules can be found [here](./rules.md).

--8<-- "includes/abbreviations.md"